Bug 1808467 - Review Request: python-pysmt - Solver-agnostic library for SMT Formulae manipulation and solving
Summary: Review Request: python-pysmt - Solver-agnostic library for SMT Formulae manip...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1815670
TreeView+ depends on / blocked
 
Reported: 2020-02-28 15:24 UTC by Fabian Affolter
Modified: 2020-04-13 18:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-07 03:23:12 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-02-28 15:24:39 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pysmt.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pysmt-0.8.0-1.fc31.src.rpm

Project URL: http://www.pysmt.org

Description:
A library for SMT formulae manipulation and solving pySMT makes working
with Satisfiability Modulo Theory simple. Among others, you can:

* Define formulae in a solver independent way in a simple and inutitive way
* Write ad-hoc simplifiers and operators
* Dump your problems in the SMT-Lib format
* Solve them using one of the native solvers
* Wrapping any SMT-Lib complaint

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=41987982

rpmlint output:
$ rpmlint python-pysmt-0.8.0-1.fc31.src.rpm 
python-pysmt.src: W: spelling-error %description -l en_US formulae -> formula, formulate, formulas
python-pysmt.src: W: spelling-error %description -l en_US inutitive -> intuitive, nutritive, diminutive
python-pysmt.src: W: spelling-error %description -l en_US hoc -> ho, choc, hock
python-pysmt.src: W: spelling-error %description -l en_US simplifiers -> simplifies, amplifiers, oversimplify
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint python3-pysmt-0.8.0-1.fc31.noarch.rpm
python3-pysmt.noarch: W: spelling-error %description -l en_US formulae -> formula, formulate, formulas
python3-pysmt.noarch: W: spelling-error %description -l en_US inutitive -> intuitive, nutritive, diminutive
python3-pysmt.noarch: W: spelling-error %description -l en_US hoc -> ho, choc, hock
python3-pysmt.noarch: W: spelling-error %description -l en_US simplifiers -> simplifies, amplifiers, oversimplify
python3-pysmt.noarch: W: no-manual-page-for-binary pysmt
python3-pysmt.noarch: W: no-manual-page-for-binary pysmt-install
python3-pysmt.noarch: W: no-manual-page-for-binary pysmt-shell
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-03-26 20:41:32 UTC
 - Fix typo in description:

python-pysmt.src: W: spelling-error %description -l en_US inutitive -> intuitive, nutritive, diminutive


Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Apache License 2.0". 19 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-pysmt/review-python-
     pysmt/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pysmt-0.8.0-1.fc33.noarch.rpm
          python-pysmt-0.8.0-1.fc33.src.rpm
python3-pysmt.noarch: W: spelling-error %description -l en_US formulae -> formula, formulate, formulas
python3-pysmt.noarch: W: spelling-error %description -l en_US inutitive -> intuitive, nutritive, diminutive
python3-pysmt.noarch: W: spelling-error %description -l en_US hoc -> ho, choc, hock
python3-pysmt.noarch: W: spelling-error %description -l en_US simplifiers -> simplifies, amplifiers, oversimplify
python3-pysmt.noarch: W: no-manual-page-for-binary pysmt
python3-pysmt.noarch: W: no-manual-page-for-binary pysmt-install
python3-pysmt.noarch: W: no-manual-page-for-binary pysmt-shell
python-pysmt.src: W: spelling-error %description -l en_US formulae -> formula, formulate, formulas
python-pysmt.src: W: spelling-error %description -l en_US inutitive -> intuitive, nutritive, diminutive
python-pysmt.src: W: spelling-error %description -l en_US hoc -> ho, choc, hock
python-pysmt.src: W: spelling-error %description -l en_US simplifiers -> simplifies, amplifiers, oversimplify
2 packages and 0 specfiles checked; 0 errors, 11 warnings.

Comment 2 Fabian Affolter 2020-03-26 22:03:48 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-03-26 22:03:55 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pysmt

Comment 4 Fedora Update System 2020-03-29 18:22:52 UTC
FEDORA-2020-6c4f9139d4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6c4f9139d4

Comment 5 Fedora Update System 2020-03-29 18:26:25 UTC
FEDORA-2020-113cabaedf has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-113cabaedf

Comment 6 Fedora Update System 2020-03-29 18:28:04 UTC
FEDORA-2020-0271ba47b8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0271ba47b8

Comment 7 Fedora Update System 2020-03-29 18:28:06 UTC
FEDORA-EPEL-2020-e1c2193379 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e1c2193379

Comment 8 Fedora Update System 2020-03-30 02:42:18 UTC
FEDORA-EPEL-2020-e1c2193379 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e1c2193379

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-03-30 03:00:42 UTC
FEDORA-2020-6c4f9139d4 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6c4f9139d4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6c4f9139d4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-03-30 03:28:45 UTC
FEDORA-2020-0271ba47b8 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-0271ba47b8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0271ba47b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-03-30 03:33:55 UTC
FEDORA-2020-113cabaedf has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-113cabaedf \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-113cabaedf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-07 03:23:12 UTC
FEDORA-2020-113cabaedf has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-04-07 05:04:42 UTC
FEDORA-2020-6c4f9139d4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-04-07 05:23:59 UTC
FEDORA-2020-0271ba47b8 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-04-07 13:15:45 UTC
FEDORA-2020-6c4f9139d4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-04-13 18:02:07 UTC
FEDORA-EPEL-2020-e1c2193379 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.